package com.changda.gjjapp.common.service;
import java.util.*;
import com.changda.gjjapp.db.entity.B_XTCS_PZ;
public interface IB_XTCS_PZService
{
 
 B_XTCS_PZ queryByKey(Map map);
 
 B_XTCS_PZ queryXTCS(Map<String, Object> map); 
 
 int count(Map map);
 
 int countByKey(String xtcssdjb, String xtcsbm, String sddxbm);
 
 void insert(B_XTCS_PZ b_xtcs_pz);
 
 void delete(B_XTCS_PZ b_xtcs_pz);
 
 void deleteByKey(String xtcssdjb, String xtcsbm, String sddxbm);
 
 void update(B_XTCS_PZ b_xtcs_pz);
 
 void insert(List<B_XTCS_PZ> listb_xtcs_pz);
 
 void update(List<B_XTCS_PZ> listb_xtcs_pz);
 
 void delete(List<B_XTCS_PZ> listb_xtcs_pz);

 B_XTCS_PZ queryGRDK(Map<String, Object> map);
}

